package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.CrmCustomInfo;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.service.vo.CrmCustomInfoExportVO;
import com.usky.iot.service.vo.CrmCustomInfoRequestVO;
import com.usky.iot.service.vo.CrmCustomInfoStatisticVO;
import org.springframework.web.bind.annotation.RequestBody;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 客户管理信息表 服务类
 * </p>
 *
 * @author han
 * @since 2023-06-26
 */
public interface CrmCustomInfoService extends CrudService<CrmCustomInfo> {
    void add(CrmCustomInfo crmCustomInfo);

    void edit(CrmCustomInfo crmCustomInfo);

    void remove(Integer id);

    CommonPage<CrmCustomInfo> page(CrmCustomInfoRequestVO crmCustomInfoRequestVO);

    List<CrmCustomInfoStatisticVO> statistic(CrmCustomInfoRequestVO crmCustomInfoRequestVO);

    boolean checkNameUnique(CrmCustomInfo crmCustomInfo);

    List<CrmCustomInfoExportVO> recordListExport(CrmCustomInfoRequestVO crmCustomInfoRequestVO);

    void updateStatus();
}
